Container.AccessibleAWTContainer.AccessibleContainerHandler (Java Platform SE 8 )
Keywords: java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler class
Date: 2016-10-23

java.awt

## Class Container.AccessibleAWTContainer.AccessibleContainerHandler

- java.lang.Object
- - java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

- All Implemented Interfaces:
    ContainerListener, EventListener
  Enclosing class:
    Container.AccessibleAWTContainer

      protected class Container.AccessibleAWTContainer.AccessibleContainerHandler
      extends Object
      implements ContainerListener

  Fire `PropertyChange` listener, if one is registered, when children are added or removed.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AccessibleContainerHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `componentAdded(ContainerEvent e)` Invoked when a component has been added to the container.
    `void` | `componentRemoved(ContainerEvent e)` Invoked when a component has been removed from the container.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibleContainerHandler

          protected AccessibleContainerHandler()

  - ### Method Detail

    - #### componentAdded

          public void componentAdded(ContainerEvent e)

      Description copied from interface: `ContainerListener`
      Invoked when a component has been added to the container.
      Specified by:
        `componentAdded` in interface `ContainerListener`

    - #### componentRemoved

          public void componentRemoved(ContainerEvent e)

      Description copied from interface: `ContainerListener`
      Invoked when a component has been removed from the container.
      Specified by:
        `componentRemoved` in interface `ContainerListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.